PDA

View Full Version : Thank you Dinorius redundicus



BLACKWATCH
August 8th, 2015, 02:00 PM
Due to your not understanding the update process, we TS12 users now have our CM telling us that we have a LOAD of stuff that is "out of date" and needing updating.
However, due to the well known fact that TS12 cannot run anything above V3.7, we are now stuck with loads of bloody warnings that we can't do SOD all about.
Why could yo not just give Tane updates of your content a 3.7 build number? they would still work in (spit) tane, but would not F**k it it up for the rest of us.

slabay
August 8th, 2015, 02:07 PM
Wow.... I see this thread going bad with a quickness.

BLACKWATCH
August 8th, 2015, 02:11 PM
Surprise, surprise, it's a complaint, your comment does nothing to rectify, so why post?

oknotsen
August 8th, 2015, 02:18 PM
It is useless complain topics like this that make me consider to also start uploading my content above 3.7.

Don't blame the Content Creator. Blame N3V that failed to implement the right check into Content Manager. The software should ignore things above 3.7 instead of end-users starting a fight over it with content creators. N3V is to blame, not those making content.

paulhobbs
August 8th, 2015, 02:22 PM
You'd better get used to it, my T:ANE content will also have the correct build number.

Paul

LNERlover5
August 8th, 2015, 02:34 PM
Targeting content creators for maintaining their work isn't the wisest decision. It's time consuming, it's unpaid, and it could do without people who don't appear to have made anything themselves complaining because it's not to their exact liking.

Jack

n8phu
August 8th, 2015, 02:37 PM
I blame Content Manager... It should ignore versions greater than your build number and not offer you updates that you can not use.

clam1952
August 8th, 2015, 02:53 PM
Easiest way to avoid the problem.

http://imagizer.imageshack.us/v2/xq90/673/ygxXD2.jpg (https://imageshack.com/i/ipygxXD2j)

davesnow
August 8th, 2015, 02:54 PM
I'm with Deane (Dinorius redundicus) on this one. He and I are some of the few Content Creators who are still around this mostly ungrateful forum, creating content for free, and not wanting anything in return except a "thank you" and possible seeing some of our creations in the SCREENSHOTS thread. Sheesh. What do some users expect? To wait around and keep correcting everything we've done (and it's a LOT) ever time N3V makes a Build number change??

Why do we keep on, Deane????


:(

bendorsey
August 8th, 2015, 04:15 PM
I've been making things for folks for about 10 years and have about 5700 items on the DLS. Expecting me to keep upgrading them version after version is insane. HOW CAN I? I won't live long enough (I'm 72).

Couldn't the Trainz code have been written in a way that detected version number and treat the item accordingly? Display it based on its version number. If its old and doesn't look worth a hoot in T:ANE folks won't download it or if they do will not use it and delete it leaving those of us who do make things for other Trainzers free to make more rather then spend all our time constantly re-doing previously made items.

Ben

dricketts
August 8th, 2015, 04:17 PM
not F**k it it up for the rest of us.

I really appreciate everything Deane has made over the years. So I truly hope you don't piss him off and f**k it up it for the rest of us. If so you deserve a good old beat down.

BLACKWATCH
August 8th, 2015, 04:20 PM
Easiest way to avoid the problem.

http://imagizer.imageshack.us/v2/xq90/673/ygxXD2.jpg (https://imageshack.com/i/ipygxXD2j)
Malc, I've told CM to ignore anything higher than 3.7,but when I check 'out of date', the list keeps getting longer & there is nothing I can do about it.
T:ane is suppost to be a "NEW ERA", so it should have a "new kuid", if you want it to be a "NEW" way of doing things, then why keep using the old system?

A new era, a new set of rules, make the break, or don't call it a "New Era", just call it another 'UPDATE'.

chris2001trainz2010
August 8th, 2015, 04:24 PM
...or don't call it a "New Era", just call it another 'UPDATE'.

Like we can just call this thread "pointless"?

BLACKWATCH
August 8th, 2015, 04:25 PM
Like we can just call this thread "pointless"?

Call it anything you like, it doesn't give any redress to the problem.

RRSignal
August 8th, 2015, 04:25 PM
I would love to know if there is some specific reason why compatibility is NOT an option. I am well aware of the reasons for content updates and how they work and have a strong technical background - and I cannot see why compatibility (particularly of post-2.9 assets) is not an option, even if adjustment has to be done by the game at loadtime. In the past, I've discussed this with Windwalkr, whose claims seem to involve edge cases and not 90%+ of the content available - and even most if not all of those edges cases can be made to work.

oknotsen
August 8th, 2015, 04:32 PM
Call it anything you like, it doesn't give any redress to the problem.The problem being: You complaining to a free Content Creator.
The cause is N3V failing to build a check that avoids assets above 3.7 to be an update for TS12SP1 software.

Not the mistake of a Content Creator, so don't blame him for it.

itareus
August 8th, 2015, 04:43 PM
I think it rather funny that someone who has contributed not one single item of freeware (or payware) to Trainz feels he has the right to dictate what content creators should do :o.

Or maybe its something in the Lincolnshire air that causes a temporary madness at times :p ?

chris2001trainz2010
August 8th, 2015, 05:29 PM
Look, why did you feel the need to post this? There's no reason for you to post this. None of us have done anything to you, so why did you post it? It makes NO SENSE.

VinnyBarb
August 8th, 2015, 06:05 PM
Look, why did you feel the need to post this? There's no reason for you to post this. None of us have done anything to you, so why did you post it? It makes NO SENSE.

Thank you BLACKWATCH for bringing up this thread!

This IS the problem in this forum, those people who DO NOT UNDERSTAND we 90% of Content Creators create assets for you all FOR FREE. And you have the audacity to complain about our content just because this does not load into your version of Trainz!!!! I receive emails/PMs constantly asking, sometimes demanding, to update my created assets, so these will work in whatever versions someone wants to place these.

Well, HELLO, I created these assets of mine for SPECIFIC versions of Trainz, as many other Content Creators did too. My created assets perform as they should in these versions they were created for happily and ignorant of future versions of Trainz. Why shouldn't they, they were made as said, for specific versions of Trainz. Some people DO NOT UNDERSTAND this, they want everything to show up in their latest TANE etc.

I received emails too from N3V to update/repair/fix some of myolder created assets but I have to think about that too. As someone else posted here in this thread, he is some 70 or so years old, well, I am 75 years old and I should have died back at XMas 2012. I live on borrowed time, I am NOT complaining of this BUT I wish I could use the time I have remaining here for better things than just to upgrade/fix some content of mine, just because some programmer/pencil pusher, whoever at N3V's thinks so.

Fat chance, I do what I WANT TO DO, not what someone dictates I should/must do.

They, N3V, stuffing already so long around with TANE should FIX TANE COMPLETELY first and then, ONLY then, "enforce" any of their ridiculous content creating rules onto us creating for FREE our content. After all, where would N3V be without us Content Creators, creating content for FREE?

My opinion

VinnyBarb

cascaderailroad
August 8th, 2015, 06:10 PM
Does this practice, break the assets, for all other versions lower than T:ANE, making them usable only in T:ANE ?

clam1952
August 8th, 2015, 06:24 PM
Does this practice, break the assets, for all other versions lower than T:ANE, making them usable only in T:ANE ?

Only if you download them.

pcas1986
August 8th, 2015, 06:52 PM
There was a discussion a little while back that was related to this issue. From that I thought the best way around this problem was to use a completely new KUID and reference the old in the obsolete table. Would that solve the issue raised by the OP?

It's tough for creators. The more you make, the more you may need to correct every time a new version comes out. You could spend all your time just fixing older stuff and then you have a bunch of folk complaining about no new stuff.

On top of all that, the validation rules have gotten much tougher. Try reading the TrainzDev threads to see how difficult it can be.

Chris004
August 8th, 2015, 09:05 PM
Does this practice, break the assets, for all other versions lower than T:ANE, making them usable only in T:ANE ?

Only if you download them.
OR if you DL an older version (one with an appropriate build number) and CM decides that it should get the newest one, and then shows you (the lovely) error "this asset has a build # not recognized ..."

So one is stuck with an otherwise perfectly good obsoleted (ergo, unusable) asset and no way* to rectify the situation.

*Please, tell me I am wrong. I kinda like being wrong...

Is there some (complicated or otherwise) procedure to un-obsolete an asset. Something maybe involving some deleting and TAD-repairing? Is there some way to prevent CM from doing this? Is it even possible for someone to work this problem?

If not, then I may have to go sit with the conspiracy theorists (a nasty, sticky, queasy-making place to be) and begin to think N3V is deliberately trying to break the older versions so we'll all have to buy TANE. (Which might be a better marketing strategy than waiting until TANE is usable...).

Now that I've gone and crawled into this puddle of stinky goo... Does it seem like content creation is being increasingly discouraged? Are we headed for TAWNY? (Trainz: a whole new year) where only N3V-created content can possibly work? (See? I wasn't exaggerating about the stinkyness of this place I have gone... It should now be clear to all why I like being wrong sometimes).

I need a shower...

ryanstrains
August 8th, 2015, 09:29 PM
Thread closed.